import { jsx as t, jsxs as i } from "react/jsx-runtime";
import "./index-DateRangeModal.scss.js";
import { useState as s } from "react";
import { ComponentContainer as m } from "./index-ComponentContainer.js";
import { DateRange as l } from "./index-DateRange.js";
import { Modal as c } from "./index-Modal.js";
import { ModalBody as d } from "./index-ModalBody.js";
import { ModalFooter as g } from "./index-ModalFooter.js";
const k = (e) => {
  const {
    close: a
  } = e, [o, n] = s({
    selection: {}
  });
  return t(m, {
    className: "DateRangeModal-container",
    children: i(c, {
      ...e,
      children: [t(d, {
        children: t(l, {
          inputRanges: [],
          showDateDisplay: !1,
          ...e,
          onChange: (r) => {
            n(r);
          }
        })
      }), t(g, {
        positive: {
          cta: () => {
            a({
              isOk: !0,
              data: o
            });
          },
          text: "Ok"
        },
        negative: {
          cta: () => {
            a({
              isOk: !1
            });
          },
          text: "Cancel"
        }
      })]
    })
  });
};
export {
  k as DateRangeModal
};
